
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css'); 
:root {
    --primary: #FEA116;
    --light: #F1F8FF;
    --dark: #0F172B;
}

.fw-medium {
    font-weight: 500 !important;
}

.fw-semi-bold {
    font-weight: 600 !important;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-weight: 500;
    text-transform: uppercase;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    border-radius: 2px;
}


/*** Navbar ***/
.navbar-dark .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 25px 0;
    color: #FFFFFF;
    font-size: 15px;
    text-transform: uppercase;
    outline: none;
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
    color: var(--primary);
}

@media (max-width: 991.98px) {
    .navbar-dark .navbar-nav .nav-link  {
        margin-right: 0;
        padding: 10px 0;
    }
}


/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    /*background: rgba(15, 23, 43, .7);*/
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 10%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 450px;
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.page-header {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.breadcrumb-item + .breadcrumb-item::before {
    color: var(--light);
}



/*** Section Title ***/
.section-title {
    position: relative;
    display: inline-block;
}
.form-control1{
    padding: 16px;
    width: 100%;
}


.section-title::before {
    position: absolute;
    content: "";
    width: 45px;
    height: 2px;
    top: 50%;
    left: -55px;
    margin-top: -1px;
    background: var(--primary);
}

.section-title::after {
    position: absolute;
    content: "";
    width: 45px;
    height: 2px;
    top: 50%;
    right: -55px;
    margin-top: -1px;
    background: var(--primary);
}

.section-title.text-start::before,
.section-title.text-end::after {
    display: none;
}


/*** Service ***/
.service-item {
    height: 320px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    background: #FFFFFF;
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
    transition: .5s;
}
/* Container to control overflow */
.position-relative.d-block.overflow-hidden {
    overflow: hidden;
    position: relative;
}

/* Initial state of the image */
.position-relative.d-block.overflow-hidden img {
    transition: transform 0.5s ease; /* Smooth transition for the zoom effect */
}

/* Hover effect */
.position-relative.d-block.overflow-hidden:hover img {
    transform: scale(1.1); /* Scale up the image on hover */
}


.service-item:hover {
    background: var(--primary);
}

.service-item .service-icon {
    margin: 0 auto 30px auto;
    width: 65px;
    height: 65px;
    transition: .5s;
}

.service-item i,
.service-item h5,
.service-item p {
    transition: .5s;
}

.service-item:hover i,
.service-item:hover h5,
.service-item:hover p {
    color: #FFFFFF !important;
}


/*** Youtube Video ***/
.video {
    position: relative;
    height: 100%;
    min-height: 500px;
    background: linear-gradient(rgba(15, 23, 43, .1), rgba(15, 23, 43, .1)), url(../Images/IMG12.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.video .btn-play {
    position: absolute;
    z-index: 3;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    box-sizing: content-box;
    display: block;
    width: 32px;
    height: 44px;
    border-radius: 50%;
    border: none;
    outline: none;
    padding: 18px 20px 18px 28px;
}

.video .btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 100px;
    height: 100px;
    background: var(--primary);
    border-radius: 50%;
    animation: pulse-border 1500ms ease-out infinite;
}

.video .btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 100px;
    height: 100px;
    background: var(--primary);
    border-radius: 50%;
    transition: all 200ms;
}
.glug-flex{
 padding-bottom: 100px !important;
}

.video .btn-play img {
    position: relative;
    z-index: 3;
    max-width: 100%;
    width: auto;
    height: auto;
}

.video .btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    border-left: 32px solid var(--dark);
    border-top: 22px solid transparent;
    border-bottom: 22px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
        opacity: 0;
    }
}

#videoModal {
    z-index: 99999;
}

#videoModal .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

#videoModal .modal-body {
    position: relative;
    padding: 0px;
}

#videoModal .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}


/*** Testimonial ***/
.testimonial {
    background: linear-gradient(rgba(15, 23, 43, .7), rgba(15, 23, 43, .7)), url(../Images/IMG19.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.testimonial-carousel {
    padding-left: 65px;
    padding-right: 65px;
}

.testimonial-carousel .testimonial-item {
    padding: 30px;
}

.testimonial-carousel .owl-nav {
    position: absolute;
    width: 100%;
    height: 40px;
    top: calc(50% - 20px);
    left: 0;
    display: flex;
    justify-content: space-between;
    z-index: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    position: relative;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    border-radius: 2px;
    font-size: 18px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--primary);
    background: #FFFFFF;
}


/*** Team ***/
.team-item,
.team-item .bg-primary,
.team-item .bg-primary i {
    transition: .5s;
}

.team-item:hover {
    border-color: var(--secondary) !important;
}

.team-item:hover .bg-primary {
    background: var(--secondary) !important;
}

.team-item:hover .bg-primary i {
    color: var(--secondary) !important;
}


/*** Footer ***/



.footer .btn.btn-social {
    margin-right: 5px;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light);
    border: 1px solid #FFFFFF;
    border-radius: 35px;
    transition: .3s;
}

.footer .btn.btn-social:hover {
    color: var(--primary);
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .footer-menu a {
    margin-right: 15px;
    padding-right: 15px;
    border-right: 1px solid rgba(255, 255, 255, .3);
}

.footer .footer-menu a:last-child {
    margin-right: 0;
    padding-right: 0;
    border-right: none;
}
.card-room {
    position: relative;
    background-size: cover;
    background-position: center;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 8px;
 
}

.card-text, .Rooms {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 10px;
   
    margin: 0;
}

.card-text {
    bottom: 30px; 
    left: 30px;
      font-size: 20px;
      color: #fafafa;/* Adjust this value as needed to fit your design */
}

.Rooms {
    bottom: 0;
    left: 30px; /* Ensures Rooms text is at the bottom */
}


.row {
    display: flex;
}

.col {
    flex: 1;
    margin: 5px; /* Add some spacing between columns if needed */
}
.card-room {
    position: relative;
    overflow: hidden;
}

.view-more {
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 20px;
    color: #fafafa;
    transform: translate(-50%, -50%);
    opacity: 0;
    padding: 7px;
    border-radius: 8px;
    background-color: #FEA116;
    transition: opacity 0.3s ease;
}


.card-room:hover .view-more  {
    opacity: 1;
    color: #F1F8FF;
   
}
.card-room{
   
     height: 400px;
}
.card-room {
    position: relative;
    transition: background-image 1.4s ease;
}




.view-more:hover {
    text-decoration: none; /* Ensure no underline on hover */
}

.card-room:hover .view-more {
    opacity: 1;
}
.galley img{
    border-radius: 12px;
    transition: transform 0.9s ease, opacity 0.9s ease;

}


.view-color button {
      padding: 7px;
      border-radius: 8px;
      border: 0px;
      background-color: #FEA116;
}
.view-color a {
    padding: 7px;
    color: #fafafa;
}
.gallery {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.gallery-img {
    transition: transform 0.3s ease, opacity 0.3s ease;
    width: 100%;
    height: auto;
}

/* .gallery-img:hover {
    transform: scale(1.05);
    opacity: 0.8;
} */
.rounded{
    border-radius: 12PX !important;
}
.contant-head {
    display: flex;
    align-items: flex-start; /* Align items to the top */
    justify-content: start;
    width: 100%;
    padding: 20px;
    color: white;
    text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
    position: absolute; /* Ensure text stays above the background */
    z-index: 1;
 
    bottom: 0px;
    /* Position at the top */
}

.images-card {
    position: relative;
    overflow: hidden;
    width: 100%;
}

.image-background {
    position: relative;
    width: 100%;
    background-size: cover;
    border-radius: 12px;
    transition: filter 0.5s ease; /* Add transition for smooth effect */
}

.image-background img {
    width: 100%;
    height: auto;
    border-radius: 12px;
}

.images-card:hover .image-background {
    filter: brightness(50%);
}

.view-card {
    position: absolute;
    bottom: -80px;
    left: 80%;
    transform: translateX(-50%);
    transition: bottom 0.9s ease;
    z-index: 1; /* Ensure button stays above the background */
}

.view-card button {
    background-color: #FEA116;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.4s ease;
}

.view-card button a {
    color: #fafafa;
    text-decoration: none;
    font-size: 16px;
    font-family: "Poppins";
    font-weight: 600px;
}

.images-card:hover .view-card {
    bottom: 30px;
}

.view-card button:hover {
    background-color: #FEA116;
}

.contant-head h1 {
    color: #fafafa !important;
    font-size: 30px;
}

@media (max-width: 576px) {
.view-card {
    bottom: -80px;
    left: 70%;
}
.view-card button{
    padding: 4px;
}
.contant-head h1 {
    color: #fafafa !important;
    font-size: 20px;
}
 .carousel-item img{
    height: 100% !important;   
}

}
.card-room {

    cursor: pointer;
    transition: transform 0.5s ease;
}


.card-text {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.7);
    color: #fff;
    padding: 10px;
    text-align: center;
    font-size: 18px;

}

.card-room:hover .card-text {
    opacity: 1;
}
.popup {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5); /* Semi-transparent background */
    z-index: 9999;
    overflow: auto;
    padding-top: 50px;
}
.popup-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 100%;
    max-width: 700px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
}
.form-floating{
    margin-top: 15px;
}
.form-control{
    border-radius: 8px !important;
}
.custom-select-icon {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding-right: 2.5rem; /* Adjust padding to ensure text does not overlap with icon */
}

.position-relative {
    position: relative;
}

.dropdown-icon {
    position: absolute;
    right: 10px; /* Adjust based on your design */
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
}
#booking-form1{
    background-color: #fefefe;
    padding: 40px;
    border-radius: 12px;
}
.destination{
    margin-top: 80px;
    margin-bottom: 80px;
}
.card-room {
    overflow: hidden;
}

  
  
@media (min-width: 320px) and (max-width: 576px) {
    .navbar-brand.d-block.d-lg-none h1 {
      font-size: 16px !important;
    }
    .Discover{
        font-size: 18px;
        width: 300px;
    }
  }




.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    padding-top: 60px; 
    left: 0;
    top: 50;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.9); 
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

.modal-content {  
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform:scale(0)} 
    to {transform:scale(1)}
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.8);
}
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}
.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    padding-top: 60px; 
    left: 0;
    top: 50;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.9); 
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

.modal-content {  
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform:scale(0)} 
    to {transform:scale(1)}
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.8);
}
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


.modal-content {
 
    max-height: 40%;
    margin: auto;
    display: block;
    margin-top: 150px;
}

.close {
    position: absolute;
    top: 10px;
    right: 25px;
    color: white;
    font-size: 35px;
    font-weight: bold;
    transition: 0.3s;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


.chat-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    border-radius: 10px;
    display: flex;
    flex-direction:column;
}
.hover-effect {
            height: 50px;
            width: 50px;
            transition: filter 0.3s ease;
        }

        .hover-effect:hover {
            filter: brightness(0) invert(1);
        }
